Transcripts

Retrieve the conversation transcript from a VoiceRun session.

View in app: Open a session and select the Transcript tab.

See Authentication for API key setup.


Get Transcript#

Retrieve the transcript for a specific session. Returns paginated transcript events sorted by timestamp ascending.

GET /v1/sessions/{sessionId}/transcript

Query Parameters#

ParameterTypeDescription
pageintegerPage number (default: 1)
limitintegerItems per page (default: 100, max: 5000)

Example Response#

{ "data": [ { "id": "evt_abc123", "agentSessionId": "session_xyz", "name": "transcript_part", "data": { "role": "user", "content": "Hello" }, "timestamp": "2025-04-01T10:00:00.000Z" } ], "metadata": { "page": 1, "limit": 100, "total": 42 } }

Bulk Export Transcripts#

Export transcripts for multiple sessions within a date range.

GET /v1/agents/{agentId}/sessions/export-transcripts

Query Parameters#

ParameterTypeDescription
startDatestringRequired. Start date in ISO 8601 format
endDatestringRequired. End date in ISO 8601 format
formatstringResponse format: "json" or "csv" (default: "csv")
limitnumberMaximum sessions to export (default: 100, max: 100)
apisessionstranscripts